#ifndef ECSS_SERVICES_MACROS_HPP
#define ECSS_SERVICES_MACROS_HPP

/**
 * Perform an assertion that, if failed, throws an ErrorHandler::Internal error
 *
 * @todo Actually hold program execution or throw an exception here
 */
#define ASSERT_INTERNAL(cond, error) (ErrorHandler::assertInternal((cond), (error)))

/**
 * A wrapper for ErrorHandler::assertRequest() that uses `this` as the Message object.
 *
 * Only to be used within the Message class.
 */
#define ASSERT_REQUEST(cond, error) (ErrorHandler::assertRequest((cond), *this, (error)))

#endif // ECSS_SERVICES_MACROS_HPP
